## prospector 0.11.7

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Prospector.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Prospector.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Prospector"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Prospector"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
sphinx
sphinx-argparse

=== debian/changelog ===
prospector (0.11.7-3) unstable; urgency=medium

  * deb/tests/control: updated pep8 dependency.

 -- Daniel Stender <stender@debian.org>  Sun, 06 Mar 2016 12:44:27 +0100

prospector (0.11.7-2) unstable; urgency=medium

  * Updated maintainer email address.
  * deb/control:
    + updated pep8 dependency.
    + bumped Standards-Version to 3.9.7 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Fri, 04 Mar 2016 12:49:45 +0100

prospector (0.11.7-1) unstable; urgency=medium

  * New upstream release (Closes: #807305).
  * deb/control:
    + updated needed versions of build-deps.
    + add sphinx-argparse and pylint-flask to build-deps.
    + set Vcs-Browser URL to HTTPS.
    + dropped Testsuite field (deprecated).
    + added vulture and python-pyroma to Recommends.
    + updated description on supported tools.
  * deb/copyright: expanded copyright span.
  * deb/rules:
    + dropped nodocs option in dh_installdocs override (obsolete).
    + generate README from README.rst (changed from Markdown).
  * manpage: added info on how to run with the additional tools and
    on support of pylint-flask.
  * Dropped:
    + docs-no-sphinx-argparse.patch (sphinx-argparse available now).
    + docs-correct-some-flaws.patch (applied upstream).
  * Updated remaining patches.

 -- Daniel Stender <debian@danielstender.com>  Sun, 31 Jan 2016 18:18:25 +0100

prospector (0.10.1+git20150706.a00e191-1) unstable; urgency=medium

  * Initial release (Closes: #781165).

 -- Daniel Stender <debian@danielstender.com>  Wed, 19 Aug 2015 13:32:00 +0200

=== debian/control ===
Source: prospector
Section: python
Priority: optional
Maintainer: Daniel Stender <stender@debian.org>
Uploaders:
 Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python (>= 2.7),
 python-setuptools,
 python-sphinx,
 python-sphinx-argparse,
 pandoc,
 txt2man,
 python-nose,
 python-yaml,
 python-requirements-detector (>= 0.4.1),
 python-setoptconf,
 pyflakes (>= 0.8.1),
 pylint (>= 1.5),
 python-pylint-common (>= 0.2.2),
 python-pylint-celery,
 python-pylint-django (>= 0.7),
 python-pylint-flask,
 python-pep8,
 python-pep8-naming,
 pep257,
 python-mccabe,
 dodgy
Standards-Version: 3.9.7
Homepage: http://prospector.readthedocs.org/en/master/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/prospector/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/prospector/trunk/

Package: prospector
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python-pyroma,
 vulture
Description: comprehensive static Python code analyzer
 Prospector analyzes Python source files and puts out information about
 coding errors, potential problems, convention violation and unnecessary
 complexity.
 .
 It provides an uniform and flexible interface for these tools:
  - Pylint (extensive Python code checker)
  - Pyflakes (checks Python code for logical errors)
  - Pep8 (checks for Python coding style conventions)
  - Pep8-naming (checks for naming conventions not covered by Pep8)
  - McCabe (checks for cyclomatic code complexity)
  - Pep257 (checks for compliance with the docstring conventions)
  - Dodgy (checks for hard coded passwords, VCS diff checkins etc.)
  - Vulture (scans Python programs for unused code)  
  - Pyroma (Python packaging quality checker)
 .
 Prospector detects if code employs specific frameworks and libraries,
 and checks them by corresponding Pylint plugins:
  - Django (web application framework)
  - Celery (asynchronous task/job queue)
  - Flask (web application framework)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=prospector

VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m nose -v tests/" dh_auto_test

override_dh_auto_install:
	python setup.py install --root=debian/prospector --install-layout=deb --install-lib=/usr/share/prospector --install-scripts=/usr/share/prospector

override_dh_installdocs:
	pandoc -f rst -t plain -o .pybuild/README README.rst
	dh_installdocs .pybuild/README
	PYTHONPATH=. sphinx-build -N -bhtml docs/ debian/prospector/usr/share/doc/prospector/html/

override_dh_installchangelogs:
	pandoc -f markdown_github -t plain -o .pybuild/CHANGELOG CHANGELOG.md
	dh_installchangelogs .pybuild/CHANGELOG

override_dh_installman:
	txt2man -s 1 -v "prospector" -t "prospector" -r "$(VERSION)" -d "$(DEBDATE)" debian/prospector.txt > .pybuild/prospector.1
	dh_installman .pybuild/prospector.1

=== debian/tests/control ===
Tests: prospector
Depends: python, python-nose, python-yaml, dodgy, python-pep8, python-pep8-naming, pyflakes, pylint, python-mccabe, pep257

## prospector 0.12.2

=== debian/changelog ===
prospector (0.12.2-1) unstable; urgency=medium

  * New upstream release (Closes: #833659).
  * change over to pycodestyle (from pep8):
    + depend on python3-pycodestyle in deb/control.
    + update extended description in deb/control.
    + update manpage (deb/prospector.txt).
    + update deps for PEP-8 tests in deb/tests/control.
  * deb/control:
    + add version to python3-mccabe build dep.
  * deb/prospector.txt:
    + use more line breaks to make the source easier to handle.
    + add info on new vscode output format in OPTIONS.
    + some cosmetics in info block on supported tools.

 -- Daniel Stender <stender@debian.org>  Sat, 13 Aug 2016 21:37:02 +0200

prospector (0.12-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + build depend on pydocstyle instead of pep257.
    + updated versioned build and package deps.
    + updated description of binary package, dropped dep against
      pep257.
  * deb/copyright: expanded copyright span.
  * deb/tests/control: updated.
  * manpage: updated, removed obsolete stuff, cosmectics.
  * Dropped sort-for-eggs.patch (applied upstream).
  * Added deb/NEWS (with info on deprecated pep257).

 -- Daniel Stender <stender@debian.org>  Fri, 24 Jun 2016 22:53:55 +0200

prospector (0.11.7-7) unstable; urgency=medium

  * deb/control: bumped standards to 3.9.8 (no changes needed).
  * deb/rules: dropped LC_ALL=C.UTF-8 in dh_auto_install override.
  * Added sort-for-eggs.patch, deb/source/options.

 -- Daniel Stender <stender@debian.org>  Sun, 29 May 2016 13:02:31 +0200

prospector (0.11.7-6) unstable; urgency=medium

  * deb/rules: set LC_ALL for custom auto_install to support reproducible
    builds (different locales alter the sorting order of egg-info/requires.txt).

 -- Daniel Stender <stender@debian.org>  Fri, 01 Apr 2016 22:01:56 +0200

prospector (0.11.7-5) unstable; urgency=medium

  * Upload to unstable.
  * deb/control: added versioned binary package deps for needed packages
    build on Python3 (pep257 and dodgy).

 -- Daniel Stender <stender@debian.org>  Thu, 24 Mar 2016 12:53:22 +0100

prospector (0.11.7-4) experimental; urgency=medium

  * Build/run on Python 3:
    + changed deps in deb/control (and sorted logically).
    + build with dh_python3, install with python3 in deb/rules.
    + updated deps in deb/tests/control.
    + test against python3 in deb/tests/prospector.
  * deb/rules: use Pybuild custom args also for dh_auto_install.

 -- Daniel Stender <stender@debian.org>  Wed, 23 Mar 2016 09:53:16 +0100

=== debian/control ===
Source: prospector
Section: python
Priority: optional
Maintainer: Daniel Stender <stender@debian.org>
Uploaders:
 Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3,
 python3-setuptools,
 python3-nose,
 python3-yaml,
 python3-requirements-detector (>= 0.4.1),
 python3-setoptconf,
 python3-pyflakes (>= 0.8.1),
 pylint3 (>= 1.5.6),
 python3-pylint-common (>= 0.2.2),
 python3-pylint-celery,
 python3-pylint-django (>= 0.7.2),
 python3-pylint-flask,
 python3-pycodestyle,
 python3-pep8-naming,
 pydocstyle,
 python3-mccabe (>= 0.5.0),
 dodgy (>= 0.1.9),
 python3-sphinx,
 python3-sphinx-argparse,
 pandoc,
 txt2man
Standards-Version: 3.9.8
Homepage: http://prospector.readthedocs.org/en/master/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/prospector/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/prospector/trunk/

Package: prospector
Architecture: all
Depends:
 dodgy (>= 0.1.9),
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python3-pyroma (>= 2.0.2),
 vulture (>= 0.8.1-2)
Description: comprehensive static Python code analyzer
 Prospector analyzes Python source files and puts out information about
 coding errors, potential problems, convention violation and unnecessary
 complexity.
 .
 It provides an uniform and flexible interface for these tools:
  - Pylint (extensive Python code checker)
  - Pyflakes (checks Python code for logical errors)
  - Pycodestyle (checks for PEP-8 coding style conventions)
  - Pep8-naming (checks for PEP-8 naming conventions not covered by pycodestyle)
  - McCabe (checks for cyclomatic code complexity)
  - Pydocstyle (checks for compliance with the PEP-257 docstring conventions)
  - Dodgy (checks for hard coded passwords, VCS diff checkins etc.)
  - Vulture (scans Python programs for unused code)  
  - Pyroma (Python packaging quality checker)
 .
 Prospector detects if code employs specific frameworks and libraries,
 and checks them by corresponding Pylint plugins:
  - Django (web application framework)
  - Celery (asynchronous task/job queue)
  - Flask (web application framework)

## prospector 0.12.4

=== debian/changelog ===
prospector (0.12.4-2) unstable; urgency=medium

  * add unpin-pycodestyle.patch (Closes: #852048).

 -- Daniel Stender <stender@debian.org>  Tue, 07 Feb 2017 07:50:05 +0100

prospector (0.12.4-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: change Section to "devel" (application-in-library-section).

 -- Daniel Stender <stender@debian.org>  Fri, 02 Dec 2016 18:27:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: prospector
-Section: python
+Section: devel
 Priority: optional
 Maintainer: Daniel Stender <stender@debian.org>
 Uploaders:

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)
 
 %:
-	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 
@@ -16,7 +16,7 @@
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m nose -v tests/" dh_auto_test
 
 override_dh_auto_install:
-	python setup.py install --root=debian/prospector --install-layout=deb --install-lib=/usr/share/prospector --install-scripts=/usr/share/prospector
+	PYBUILD_SYSTEM=custom PYBUILD_INSTALL_ARGS="{interpreter} setup.py install --root=debian/prospector --install-layout=deb --install-lib=/usr/share/prospector --install-scripts=/usr/share/prospector" dh_auto_install
 
 override_dh_installdocs:
 	pandoc -f rst -t plain -o .pybuild/README README.rst

=== debian/tests/control ===
Tests: prospector
Depends: python3, python3-nose, python3-yaml, dodgy, python3-pycodestyle, python3-pep8-naming, python3-pyflakes, pylint3, python3-mccabe, pydocstyle

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?(\d[\d\.]+)\.tar\.gz/prospector-$1.tar.gz/" \
https://github.com/landscapeio/prospector/releases (?:.*/)?(\d[\d\.]+)\.tar\.gz
# Github tarball ships with tests and doc source

## prospector 0.12.7

=== debian/changelog ===
prospector (0.12.7-1build1) artful; urgency=medium

  * No-change rebuild against python3.6

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 28 Jul 2017 16:43:46 -0400

prospector (0.12.7-1) unstable; urgency=medium

  * New upstream release.
  * Merge to unstable.
  * Bump Standards-Version to 4.0.0.
  * Update Build-Depends.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 18 Jun 2017 20:14:07 +0800

prospector (0.12.6-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 08 Jun 2017 05:10:19 +0800

prospector (0.12.4-3~exp1) experimental; urgency=medium

  * Change Uploaders to ChangZhuo Chen (Closes: #863363)
  * Bump compat to 10.
  * Update Vcs-* fields to use Git as VCS.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 28 May 2017 17:49:39 +0800

=== debian/control ===
Source: prospector
Section: devel
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               dodgy (>= 0.1.9),
               pandoc,
               pydocstyle (>= 2.0.0),
               pylint3 (>= 1.5.6),
               python3,
               python3-mccabe (>= 0.5.0),
               python3-nose,
               python3-pep8-naming,
               python3-pycodestyle,
               python3-pyflakes (>= 0.8.1),
               python3-pylint-celery,
               python3-pylint-common (>= 0.2.5),
               python3-pylint-django (>= 0.7.2),
               python3-pylint-flask,
               python3-pylint-plugin-utils (>= 0.2.6),
               python3-requirements-detector (>= 0.4.1),
               python3-setoptconf,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-argparse,
               python3-yaml,
               txt2man,
Standards-Version: 4.0.0
Homepage: http://prospector.readthedocs.org/en/master/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/prospector.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/prospector.git

Package: prospector
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
         dodgy (>= 0.1.9),
Recommends: python3-pyroma (>= 2.0.2),
            vulture (>= 0.8.1-2)
Description: comprehensive static Python code analyzer
 Prospector analyzes Python source files and puts out information about
 coding errors, potential problems, convention violation and unnecessary
 complexity.
 .
 It provides an uniform and flexible interface for these tools:
  - Pylint (extensive Python code checker)
  - Pyflakes (checks Python code for logical errors)
  - Pycodestyle (checks for PEP-8 coding style conventions)
  - Pep8-naming (checks for PEP-8 naming conventions not covered by pycodestyle)
  - McCabe (checks for cyclomatic code complexity)
  - Pydocstyle (checks for compliance with the PEP-257 docstring conventions)
  - Dodgy (checks for hard coded passwords, VCS diff checkins etc.)
  - Vulture (scans Python programs for unused code)
  - Pyroma (Python packaging quality checker)
 .
 Prospector detects if code employs specific frameworks and libraries,
 and checks them by corresponding Pylint plugins:
  - Django (web application framework)
  - Celery (asynchronous task/job queue)
  - Flask (web application framework)

## prospector 1.1.7

=== debian/changelog ===
prospector (1.1.7-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dodgy, pydocstyle,
      python3-mccabe, python3-pyflakes and python3-requirements-detector.
    + prospector: Drop versioned constraint on dodgy in Depends.
    + prospector: Drop versioned constraint on vulture in Recommends.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Dec 2022 19:18:09 +0000

prospector (1.1.7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * debian/patches/72777c6f96d7c393abf9cc44b423ff0f54029feb.patch
    - Fix test since mixed-indentation does not exists anymore

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Apr 2022 15:05:07 -0400

prospector (1.1.7-2) unstable; urgency=medium

  * Team upload
  * tighteen pylint dependency
    (Closes: #946553)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Dec 2019 11:20:42 +0100

prospector (1.1.7-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release. (Closes: #919793, #896624)
  * Update Vcs-* fields to salsa.
  * Remove upstream already applied patch.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Gianfranco Costamagna ]
  * Team upload.
  * Set R^3 to no
  * Import new upstream release 1.1.7 (Closes: #942408)
  * Bump compat level to 12
  * Bump std-version to 4.4.1
  * Import 0.12.7-2.1 NMU
  * Switch to new pylint, the old pylint3 is now a cruft binary
  * Update watch file for new location
  * Update dependencies according to new version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Dec 2019 09:00:35 +0100

prospector (0.12.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run dh_python3 with --shebang=/usr/bin/python3. Closes: #918427.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Mar 2019 16:31:35 +0100

prospector (0.12.7-2) unstable; urgency=medium

  * Team upload.
  * No-change rebuild for the python 3.6 transition.  Closes: #882789

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 03 Dec 2017 17:44:21 +0100

=== debian/control ===
Source: prospector
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dodgy,
               pandoc,
               pydocstyle,
               pylint (>= 2.2.2-2~),
               python3,
               python3-astroid,
               python3-coverage,
               python3-mccabe,
               python3-mypy,
               python3-mock,
               python3-nose,
               python3-pep8-naming,
               python3-pycodestyle,
               python3-pyflakes,
               python3-pylint-celery,
               python3-pylint-flask,
               python3-pylint-django,
               python3-requirements-detector,
               python3-setoptconf,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-argparse,
               python3-yaml,
               txt2man,
Standards-Version: 4.6.1
Homepage: https://prospector.readthedocs.org/en/master/
Vcs-Git: https://salsa.debian.org/python-team/packages/prospector.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/prospector
Rules-Requires-Root: no

Package: prospector
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
         dodgy,
         python3-mypy,
         python3-pyroma,
         python3-typed-ast
Recommends: vulture
Description: comprehensive static Python code analyzer
 Prospector analyzes Python source files and puts out information about
 coding errors, potential problems, convention violation and unnecessary
 complexity.
 .
 It provides an uniform and flexible interface for these tools:
  - Pylint (extensive Python code checker)
  - Pyflakes (checks Python code for logical errors)
  - Pycodestyle (checks for PEP-8 coding style conventions)
  - Pep8-naming (checks for PEP-8 naming conventions not covered by pycodestyle)
  - McCabe (checks for cyclomatic code complexity)
  - Pydocstyle (checks for compliance with the PEP-257 docstring conventions)
  - Dodgy (checks for hard coded passwords, VCS diff checkins etc.)
  - Vulture (scans Python programs for unused code)
  - Pyroma (Python packaging quality checker)
 .
 Prospector detects if code employs specific frameworks and libraries,
 and checks them by corresponding Pylint plugins:
  - Django (web application framework)
  - Celery (asynchronous task/job queue)
  - Flask (web application framework)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=prospector

include /usr/share/dpkg/pkg-info.mk
DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m nose -v tests/" dh_auto_test

override_dh_auto_install:
	PYBUILD_SYSTEM=custom PYBUILD_INSTALL_ARGS="{interpreter} setup.py install --root=debian/prospector --install-layout=deb --install-lib=/usr/share/prospector --install-scripts=/usr/share/prospector" dh_auto_install

override_dh_installdocs:
	pandoc -f rst -t plain -o .pybuild/README README.rst
	dh_installdocs .pybuild/README
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ debian/prospector/usr/share/doc/prospector/html/

override_dh_installchangelogs:
	pandoc -f markdown_github -t plain -o .pybuild/CHANGELOG CHANGELOG.md
	dh_installchangelogs .pybuild/CHANGELOG

override_dh_installman:
	txt2man -s 1 -v "prospector" -t "prospector" -r "$(DEB_VERSION_UPSTREAM)" -d "$(DEBDATE)" debian/prospector.txt > .pybuild/prospector.1
	dh_installman .pybuild/prospector.1

=== debian/tests/control ===
Tests: prospector
Depends: python3, python3-nose, python3-yaml, dodgy, python3-pycodestyle, python3-pep8-naming, python3-pyflakes, python3-requirements-detector, python3-setoptconf, pylint, python3-mccabe, pydocstyle

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?(\d[\d\.]+)\.tar\.gz/prospector-$1.tar.gz/" \
https://github.com/PyCQA/prospector/releases (?:.*/)?(\d[\d\.]+)\.tar\.gz
# Github tarball ships with tests and doc source

## prospector 1.10.3

=== docs/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://www.sphinx-doc.org/)
 endif
 
 # Internal variables.

=== docs/requirements.txt ===
sphinx>=5.0.0,<8
sphinx-argparse

=== debian/changelog ===
prospector (1.10.3-3) unstable; urgency=medium

  * Team Upload
  * Drop "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Disable test_forced_include (Closes: #1114270)
  * Rewrite d/watch in v5 format

  [ Yifei Zhan ]
  * Add missing runtime dependency on setoptconf (Closes: #1109437)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 12 Feb 2026 08:01:14 +0100

prospector (1.10.3-2) unstable; urgency=medium

  * Team upload.
  * Do not generate a dependency on python3-toml
  * Replace old FSF mail address in d/copyright with URL

 -- Alexandre Detiste <tchet@debian.org>  Tue, 27 May 2025 00:46:11 +0200

prospector (1.10.3-1) unstable; urgency=medium

  * Team Upload
  * Fix watchfile for new Github API
  * New upstream version 1.10.3 (Closes: #947551, #963509, #1071808)
  * Pylint support plugin is temporarily patched-out.
  * Update build-dependencies:
    + dh-sequence-python3
    + pybuild-plugin-pyproject
    + python3-bandit
    - python3-mock
    - python3-nose (Closes: #1018441)
    + python3-poetry-core
    + python3-pytest
    + python3-pyroma
    + python3-vulture
  * Remove dependency on python3-typed-ast (Closes: #1055672)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 05 Aug 2024 22:41:53 +0200

=== debian/control ===
Source: prospector
Section: devel
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dodgy,
 pybuild-plugin-pyproject,
 pydocstyle,
 pylint (>= 2.2.2-2~),
 python3,
 python3-astroid,
 python3-bandit,
 python3-coverage,
 python3-mccabe,
 python3-mypy,
 python3-pep8-naming,
 python3-poetry-core,
 python3-pycodestyle,
 python3-pyflakes,
 python3-pylint-celery,
 python3-pylint-django,
 python3-pylint-flask,
 python3-pyroma,
 python3-pytest,
 python3-requirements-detector,
 python3-setoptconf,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-argparse,
 python3-yaml,
 txt2man,
 vulture,
#Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.3
Homepage: https://prospector.readthedocs.org/en/master/
Vcs-Git: https://salsa.debian.org/python-team/packages/prospector.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/prospector

Package: prospector
Architecture: all
Depends:
 dodgy,
 python3-mypy,
 python3-pyroma,
 python3-setoptconf,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Recommends:
 vulture,
Description: comprehensive static Python code analyzer
 Prospector analyzes Python source files and puts out information about
 coding errors, potential problems, convention violation and unnecessary
 complexity.
 .
 It provides an uniform and flexible interface for these tools:
  - Pylint (extensive Python code checker)
  - Pyflakes (checks Python code for logical errors)
  - Pycodestyle (checks for PEP-8 coding style conventions)
  - Pep8-naming (checks for PEP-8 naming conventions not covered by pycodestyle)
  - McCabe (checks for cyclomatic code complexity)
  - Pydocstyle (checks for compliance with the PEP-257 docstring conventions)
  - Dodgy (checks for hard coded passwords, VCS diff checkins etc.)
  - Vulture (scans Python programs for unused code)
  - Pyroma (Python packaging quality checker)
 .
 Prospector detects if code employs specific frameworks and libraries,
 and checks them by corresponding Pylint plugins:
  - Django (web application framework)
  - Celery (asynchronous task/job queue)
  - Flask (web application framework)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=prospector
export PYBUILD_TEST_ARGS=-k '    not test_non_subpath \
                            and not test_ignored \
                            and not test_total_errors \
                            and not test_module_file_inheritance \
                            and not test_module_inheritance \
                            and not test_filter_messages \
                            and not test_filter_messages_negative \
                            and not test_good_options \
                            and not test_absolute_path_is_computed_correctly \
                            and not test_parallel_execution \
                            and not test_pylint_config \
                            and not test_will_throw_useless_suppression \
                            and not test_wont_throw_false_positive_relative_beyond_top_level \
                                \
                            and not test_disable_tool \
                            and not test_empty_disable_list \
                            and not test_empty_profile \
                            and not test_load_plugins \
                            and not test_disable_tool_inheritance \
                            and not test_precedence \
                            and not test_shorthand_inheritance \
                            and not test_simple_inheritance \
                            and not test_strictness_equivalence \
                            and not test_tool_enabled \
                            and not test_forced_include \
                                '

include /usr/share/dpkg/pkg-info.mk
DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_install:
	echo '#!/usr/bin/python3' > debian/prospector/usr/bin/prospector
	cat prospector/run.py >> debian/prospector/usr/bin/prospector
	chmod +x debian/prospector/usr/bin/prospector

override_dh_installman:
	txt2man -s 1 -v "prospector" -t "prospector" -r "$(DEB_VERSION_UPSTREAM)" -d "$(DEBDATE)" debian/prospector.txt > .pybuild/prospector.1
	dh_installman .pybuild/prospector.1

=== debian/watch ===
Version: 5

Template: GitHub
Owner: PyCQA
Project: prospector
